Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.xmpp.packet
Enum Message.Type

    java.lang.Object
      java.lang.Enum<Message.Type>
          org.xmpp.packet.Message.Type

All Implemented Interfaces:
  Serializable, Comparable<Message.Type>

Enclosing class:
  Message

    public static enum Message.Type

extends Enum<Message.Type>

Type-safe enumeration for the type of a message. The types are:

- `Message.Type.normal` -- (Default) a normal text message used in email like interface.
- `Message.Type.cha`t -- a typically short text message used in line-by-line chat interfaces.
- `Message.Type.groupchat` -- a chat message sent to a groupchat server for group chats.
- `Message.Type.headline` -- a text message to be displayed in scrolling marquee displays.
- `Message.Type.error` -- indicates a messaging error.

Enum Constant Summary
`chat` Typically short text message used in line-by-line chat interfaces.
`error` Indicates a messaging error.
`groupchat` Chat message sent to a groupchat server for group chats.
`headline` Text message to be displayed in scrolling marquee displays.
`normal` (Default) a normal text message used in email like interface.

Method Summary
`static Message.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Message.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### normal

    public static final Message.Type normal

  (Default) a normal text message used in email like interface.

### chat

    public static final Message.Type chat

  Typically short text message used in line-by-line chat interfaces.

### groupchat

    public static final Message.Type groupchat

  Chat message sent to a groupchat server for group chats.

### headline

    public static final Message.Type headline

  Text message to be displayed in scrolling marquee displays.

### error

    public static final Message.Type error

  Indicates a messaging error.

Method Detail

### values

    public static final Message.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Message.Type c : Message.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Message.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2007 Jive Software.